<!--
Archivo vista para cuando se listan las US
Se extiene de una plantilla base.html
-->
{% extends 'base.html' %}

{% block content %}
    <div class="container">
        <br>
        <br>
        <div class="bg-light rounded border-dark">

            <table class="table table-striped table-hover">
                <thead>{# cabecera de tabla #}
                <tr>
                    <th width="35%">Titulo</th>
                    <th>Proyecto</th>
                    <th>Estado</th>
                    <th>Estimacion</th>
                    <th>Encargado</th>
                    <th>Acciones</th>
                </tr>
                </thead>
                <tbody>

                <!-- Recorremos los objetos o registros que tenemos en nuestra tabla y los listamos -->
                {% for userStory in listUs %}{# todas las US que vienen desde view.py #}
                    <tr>
                        <td>{{ userStory.titulo }}</td>
                        <td>{{ userStory.idProyecto }}</td>
                        <td>
                            {% if userStory.estado == "N" %}
                                Nuevo
                            {% elif userStory.estado == 'P' %}
                                Pendiente
                            {% elif userStory.estado == 'EP' %}
                                En proceso
                            {% elif userStory.estado == 'STSA' %}
                                Sin Terminar Sprint Anterior
                            {% elif userStory.estado == 'A' %}
                                Aprobado
                            {% elif userStory.estado == 'H' %}
                                Hecho
                            {% elif userStory.estado == 'C' %}
                                Cancelado
                            {% endif %}

                        </td>
                        <td>{{ userStory.estimacion }}</td>
                        <td>{{ userStory.encargado }}</td>

                        <td>
                            {#  #}
                            <form method="POST" action="eliminar/{{ userStory.id }}">
                                {% csrf_token %}
                                <div class="btn-group">

                                    <!-- Creamos 3 botones que son ver, Editar y Eliminar, nos sirven para gestionar nuestros registros-->
                                    <a href="detalle/{{ userStory.id }}" title="Ver" type="button"
                                       class="btn btn-success">Ver </a>
                                    {# aquie se pasan los parametros que se necistan en view.py #}
                                    <a href="actualizar/{{ userStory.id }}" title="Editar" type="button"
                                       class="btn btn-primary">Editar </a>
                                    <button class="btn btn-danger" onclick="return eliminar();" type="submit">
                                        Eliminar
                                    </button>
                                </div>
                            </form>
                        </td>

                        </td>
                    </tr>
                {% endfor %}

                </tbody>
            </table>
            <div align="left" class="btn_crear mb-3 p-3">
                <a href="{% url 'Proyecto:registrarUs' %}" type="button"
                   class="btn btn-primary">Crear</a>{# boton para guardar los datos en la BD #}
            </div>
        </div>
    </div>





{% endblock %}








